Home / Lua API Manual / types / dt_ui_container_t
< hint_t
snapshot_direction_t >

# dt_ui_container_t

`enum`

A place in the darktable UI where a lib can be placed

Values:

- DT_UI_CONTAINER_PANEL_LEFT_TOP
- DT_UI_CONTAINER_PANEL_LEFT_CENTER
- DT_UI_CONTAINER_PANEL_LEFT_BOTTOM
- DT_UI_CONTAINER_PANEL_RIGHT_TOP
- DT_UI_CONTAINER_PANEL_RIGHT_CENTER
- DT_UI_CONTAINER_PANEL_RIGHT_BOTTOM
- DT_UI_CONTAINER_PANEL_TOP_LEFT
- DT_UI_CONTAINER_PANEL_TOP_CENTER
- DT_UI_CONTAINER_PANEL_TOP_RIGHT
- DT_UI_CONTAINER_PANEL_CENTER_TOP_LEFT
- DT_UI_CONTAINER_PANEL_CENTER_TOP_CENTER
- DT_UI_CONTAINER_PANEL_CENTER_TOP_RIGHT
- DT_UI_CONTAINER_PANEL_CENTER_BOTTOM_LEFT
- DT_UI_CONTAINER_PANEL_CENTER_BOTTOM_CENTER
- DT_UI_CONTAINER_PANEL_CENTER_BOTTOM_RIGHT
- DT_UI_CONTAINER_PANEL_BOTTOM

< hint_t
snapshot_direction_t >